// pages/sorts/sorts.js  emlog博客小程序作者QQ：809666838，AIR娱乐网www.airzyw.com制作，请保留该版权！！
import util from '../../utils/util.js'

Page({

  /**
   * 页面的初始数据
   */
  data: {
  	description: '', 
    sorts: []
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getSorts();
  },
  /**
   * 用户点击右上角分享
   */
    onShareAppMessage: function (res) {
    return {
      title: '',
      imageUrl: 'https://api.ixiaowai.cn/api/api.php', // 图片 URL
      path: ''
    }
  },

  getSorts: function () {
    util.getSorts(success => {
      console.log(success)
      this.setData({
        sorts: success
      })
    })
  },
  goSortLogs: function (event) {
    console.log(event)
    var sid = event.currentTarget.dataset.sid;
    var sortname = event.currentTarget.dataset.sortname;
    console.log(sid)
    console.log(sortname)
    wx.navigateTo({
      url: '../sorts-log/blog?sid=' + sid + '&sortname=' + sortname
    });
  }

})